import request from '/@/utils/request';

export function useRoleApi() {
    return {
        // v2
        getRoleList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/role/find/all/active`,
                method: 'get'
            });
        },
        getExpList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/identity/list`,
                method: 'post'
            });
        },
        // v2
        addRole: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/role/new`,
                method: 'post',
                data: data
            });
        },
        // v2
        modRole: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/role/mod/name`,
                method: 'post',
                data: data
            });
        },
        // v2
        deleteRole: (value?: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/role/del`,
                method: 'post',
                data: value
            });
        }
    };
}
